Package org.jdesktop.application.session

# Class TableState

java.lang.Object
org.jdesktop.application.session.TableState

public class TableState extends Object
This Java Bean records the `columnWidths` for all of the columns in a JTable. A width of -1 is used to mark `TableColumns` that are not resizable.

See Also:
  - `TableProperty`
  - `SessionStorage.save(java.awt.Component, java.lang.String)`
  - `SessionStorage.restore(java.awt.Component, java.lang.String)`

## Constructor Summary

Constructors
Constructor
Description
`TableState()`
`TableState(int[] columnWidths)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getColumnWidths()`
`void`
`setColumnWidths(int[] columnWidths)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableState

public TableState()

### TableState

public TableState(int[] columnWidths)

## Method Details

### getColumnWidths

public int[] getColumnWidths()

### setColumnWidths

public void setColumnWidths(int[] columnWidths)